Bug 250239 - Runtime Error: maximum recursion depth exceeded
Runtime Error: maximum recursion depth exceeded
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: setroubleshoot (Show other bugs)
5.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: John Dennis
: Reopened
Depends On: 241739
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-31 06:17 EDT by Jose Plans
Modified: 2010-10-22 13:03 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2008-0061
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:25:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jose Plans 2007-07-31 06:17:57 EDT
+++ This bug was initially created as a clone of Bug #241739 +++

Description of problem:
sealert often runs for me on my old testbox when I login to the desktop.
Today I got a python backtrace in the "sealert Error" dialog,
which I attach.

-- Additional comment from petersen@redhat.com on 2007-05-29 22:32 EST --
Created an attachment (id=155653)
sealert-backtrace.gz


-- Additional comment from jdennis@redhat.com on 2007-05-30 11:48 EST --
Thanks for reporting this, I could use two more pieces of information

1) What is the package NVR?

2) Does /var/log/setroubleshoot/setroubleshootd.log also have python backtrace's
in it and if so could you attach the log file so I could look at it? 

Thanks

-- Additional comment from petersen@redhat.com on 2007-05-30 22:55 EST --
It is setroubleshoot-1.9.4-2.fc7, the version in F7.


-- Additional comment from petersen@redhat.com on 2007-05-30 22:58 EST --
Created an attachment (id=155769)
setroubleshootd.log

Here is the setroubleshootd.log backtrace that seems to keep occurring.

My desktop is running in ja_JP.UTF-8 if that helps.

-- Additional comment from jdennis@redhat.com on 2007-05-31 00:34 EST --
Thank you for taking the time to report this and follow up with the information,
it is very helpful. This problem looks to be identical to another recent bug
report upstream. I will immediately investigate.

-- Additional comment from jdennis@redhat.com on 2007-06-05 16:42 EST --
update: The issue is still being researched, we know why the problem occurs, but
we don't yet know the best way to address it which will work correctly across
various python versions, python extensions (libxml2 & pygtk), and linux
distributions, each has their own issues :-( We are working on finding a solution.

-- Additional comment from jdennis@redhat.com on 2007-06-11 09:56 EST --
*** Bug 243077 has been marked as a duplicate of this bug. ***

-- Additional comment from jdennis@redhat.com on 2007-06-12 17:42 EST --
I have built ana new RPM (setroubleshoot-1.9.7-1.fc8) in rawhide, I believe this
will fix the problems related to setroubleshootd and sealert being unable to
communicate when the system language is non-latin. The RPM should show up in
rawhide shortly or you may download it here:
 
http://koji.fedoraproject.org/koji/buildinfo?buildID=8705

Please install this and let me know if it resolves the problem, if it does I
will push a similar update to F7.

-- Additional comment from jdennis@redhat.com on 2007-06-12 18:19 EST --
*** Bug 243608 has been marked as a duplicate of this bug. ***

-- Additional comment from piotreek23@gmail.com on 2007-06-14 04:12 EST --
http://koji.fedoraproject.org/koji/buildinfo?buildID=8705
Works for me. Waiting for FC 7 Update package.
Comment 2 John Dennis 2007-08-27 12:28:16 EDT
Closing this bug as it was opened as a duplicate of a Fedora bug and RHEL has a
different version of setroubleshoot. Comment #1 was never responded to.
Comment 6 RHEL Product and Program Management 2007-11-27 16:54:27 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 John Dennis 2008-01-09 13:51:11 EST
should be fixed in the setroubleshoot 2.0 series scheduled for RHEL 5.2
Comment 11 errata-xmlrpc 2008-05-21 10:25:43 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2008-0061.html

Note You need to log in before you can comment on or make changes to this bug.